<?php
    include 'index.cb.php';

    $webDrillDownId = "WebDrillDown1";
    $webDrillDownAboutInfoId = "AboutInfo1";
    $webDrillDownFullPathEncoded = getWebDrillDownProperty($webDrillDownId, "FullPath", "");
    $webDrillDownFullPathDecoded = html_entity_decode($webDrillDownFullPathEncoded);
    $webDrillDownFullPathEscaped = str_replace("'", "\\'", $webDrillDownFullPathEncoded);
    $webDrillDownSelectedIndexString = getWebDrillDownProperty($webDrillDownId, "SelectedIndex", "0");
    $webDrillDownSelectedIndexNumber = (int)$webDrillDownSelectedIndexString;
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebDrillDown Studio Sample</title>
    <script src="./includes/loader.js" type="text/javascript"></script>
    <script src="./includes/webdrilldown.js" type="text/javascript"></script>
    <link href="./includes/webdrilldown.css" rel="stylesheet" type="text/css" />
    <script src="./samples.js" type="text/javascript"></script>
    <link href="./samples.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="InitializePage('<?php echo $webDrillDownId ?>', '<?php echo $webDrillDownAboutInfoId ?>', '<?php echo $webDrillDownFullPathEscaped ?>', <?php echo $webDrillDownSelectedIndexNumber ?>);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebDrillDown Studio</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        Select artist:<br />
                        <div id="<?php echo $webDrillDownId ?>"></div>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="./index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">PHP Sample:</div>
                    <div class="csContent">
                        This sample demonstrates how you can use <b>WebDrillDown Studio</b> in a PHP environment.<br />
                        <br />
                        To use the WebDrillDown Studio compiled code in your web application, you will need to implement these steps:<br />
                        <br />
                        1) Include the WebDrillDown loader library on your page:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">&lt;</span><span style="color:#800000">script</span> <span style="color:#ff0000">language</span><span style="color:#0000ff">=&quot;javascript&quot;</span> <span style="color:#ff0000">src</span><span style="color:#0000ff">=&quot;loader.js&quot;</span> <span style="color:#ff0000">type</span><span style="color:#0000ff">=&quot;text/javascript&quot;</span><span style="color:#0000ff">&gt;</span><span style="color:#0000ff">&lt;/</span><span style="color:#800000">script</span><span style="color:#0000ff">&gt;</span>
                        </div>
                        <br />
                        2) Include the WebDrillDown core library on your page:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">&lt;</span><span style="color:#800000">script</span> <span style="color:#ff0000">language</span><span style="color:#0000ff">=&quot;javascript&quot;</span> <span style="color:#ff0000">src</span><span style="color:#0000ff">=&quot;webdrilldown.js&quot;</span> <span style="color:#ff0000">type</span><span style="color:#0000ff">=&quot;text/javascript&quot;</span><span style="color:#0000ff">&gt;</span><span style="color:#0000ff">&lt;/</span><span style="color:#800000">script</span><span style="color:#0000ff">&gt;</span>
                        </div>
                        <br />
                        3) Include the WebDrillDown style sheet on your page:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">&lt;</span><span style="color:#800000">link</span> <span style="color:#ff0000">href</span><span style="color:#0000ff">=&quot;webdrilldown.css&quot;</span> <span style="color:#ff0000">rel</span><span style="color:#0000ff">=&quot;stylesheet&quot;</span> <span style="color:#ff0000">type</span><span style="color:#0000ff">=&quot;text/css&quot;</span><span style="color:#0000ff"> /&gt;</span>
                        </div>
                        <br />
                        4) Add a DIV tag containing an identifier for your WebDrillDown instance on your page:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">&lt;</span><span style="color:#800000">div</span> <span style="color:#ff0000">id</span><span style="color:#0000ff">=&quot;WebDrillDown1&quot;</span><span style="color:#0000ff">&gt;</span><span style="color:#0000ff">&lt;/</span><span style="color:#800000">div</span><span style="color:#0000ff">&gt;</span>
                        </div>
                        <br />
                        5) Call the WebDrillDown Studio client-side initialize method, passing in the identifier from above:<br />
                        <br />
                        <div class="csCode">
                            WebDrillDownInitialize(<span style="color:#ff0000">&quot;WebDrillDown1&quot;</span>);
                        </div>
                        <br />
                        The control settings and item data configured in WebDrillDown Studio will be available in the following variables, and will be use to configure your control instance:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">var</span> WebDrillDownSettings = {...};<br />
                            <span style="color:#0000ff">var</span> WebDrillDownData = {...};
                        </div>
                        <br />
                        In this sample, the WebDrillDown popup menus are populated from the item objects created in WebDrillDown Studio.
                        Alternatively, if no item objects are created in the Studio application, then all the other WebDrillDown data retrieval methods are available for dynamically loading the popup menus.<br />
                        <br />
                        This sample also demonstrates how to extract the selected path and button in the WebDrillDown control on the server, and then re-insert them into the control settings to preserve these values between postbacks.<br />
                        <br />
                        In this sample the WebDrillDown is allowing you to select an artist, organized by painters and musicians.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo ($webDrillDownFullPathEncoded == "") ? "No path selected." : $webDrillDownFullPathEncoded ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent" id="<?php echo $webDrillDownAboutInfoId ?>"></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /DevelopmentPlatforms<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/PHP
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
